Page MenuHomeFreeBSD

2020-02-29 retire in-tree GPL dtc
ClosedPublic

Authored by emaste on Jan 15 2020, 2:53 PM.

Details

Summary

Now that we no longer have GCC 4.2.1 in the tree and can assume FreeBSD is being built with a C++11 compiler available we can use BSDL dtc unconditionally and retire the GPL dtc.

GPL dtc now has FreeBSD CI support via Cirrus-CI to help ensure it continues to build/work on FreeBSD and is available in the ports tree if needed.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

powerpc* was the last reason to keep GPL dtc in-tree, IMO.

This revision is now accepted and ready to land.Jan 15 2020, 2:57 PM

Unless I'm missing something, this leaves GPL'd dtc's sources in the tree but removes the ability to build them. Would it make sense to remove the code at the same time as removing the build system goo?

The build system changes look fine to me.

I intend to rm the sources at the same time but will probably do it as a separate commit. Do need to ensure we don't remove libfdt though.

I intend to rm the sources at the same time but will probably do it as a separate commit. Do need to ensure we don't remove libfdt though.

Both kernel and loader build that out of the distinct and more up-to-date ^/sys/contrib/libfdt, so nothing should be dependent on the version there.

Ok, removal of contrib/gcclibs, contrib/gcc, and contrib/dtc will be staged in my deorbit-gcc branch https://github.com/emaste/freebsd/tree/deorbit-gcc

imp added inline comments.
usr.bin/Makefile
215 ↗(On Diff #66783)

Do we still need c++11 check?

usr.bin/Makefile
215 ↗(On Diff #66783)

No. I was thinking of doing a separate pass to remove both setting it in ${COMPILER_FEATURES} and all of the checks.

usr.bin/Makefile
215 ↗(On Diff #66783)

Fair point

This revision now requires review to proceed.Feb 21 2020, 5:58 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 29 2020, 5:11 PM
This revision was automatically updated to reflect the committed changes.